Package org.apache.any23.extractor

## Interface ExtractorDescription

- All Known Subinterfaces:
    `ExtractorFactory<T>`
  All Known Implementing Classes:
    `AdrExtractorFactory`, `CSVExtractorFactory`, `EmbeddedJSONLDExtractorFactory`, `FunctionalSyntaxExtractorFactory`, `GeoExtractorFactory`, `HAdrExtractorFactory`, `HCalendarExtractorFactory`, `HCardExtractorFactory`, `HCardExtractorFactory`, `HeadLinkExtractorFactory`, `HEntryExtractorFactory`, `HEventExtractorFactory`, `HGeoExtractorFactory`, `HItemExtractorFactory`, `HListingExtractorFactory`, `HProductExtractorFactory`, `HRecipeExtractorFactory`, `HRecipeExtractorFactory`, `HResumeExtractorFactory`, `HResumeExtractorFactory`, `HReviewAggregateExtractorFactory`, `HReviewExtractorFactory`, `HTMLMetaExtractorFactory`, `ICalExtractorFactory`, `ICBMExtractorFactory`, `JCalExtractorFactory`, `JSONLDExtractorFactory`, `LicenseExtractorFactory`, `ManchesterSyntaxExtractorFactory`, `MicrodataExtractorFactory`, `NQuadsExtractorFactory`, `NTriplesExtractorFactory`, `RDFa11ExtractorFactory`, `RDFaExtractorFactory`, `RDFXMLExtractorFactory`, `SimpleExtractorFactory`, `SpeciesExtractorFactory`, `TitleExtractorFactory`, `TriXExtractorFactory`, `TurtleExtractorFactory`, `TurtleHTMLExtractorFactory`, `XCalExtractorFactory`, `XFNExtractorFactory`, `XPathExtractorFactory`, `YAMLExtractorFactory`

      public interface ExtractorDescription

  It defines a minimal signature for an `Extractor` description.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExtractorLabel()` | Returns the label for extractors created from this factory.
    `String` | `getExtractorName()` | Returns the name of the extractor.
    `Prefixes` | `getPrefixes()` | An instance defining the prefixes supported by this extractor.

- - ### Method Detail

    - #### getExtractorName

          String getExtractorName()

      Returns the name of the extractor.
      Returns:
        a name.

    - #### getExtractorLabel

          String getExtractorLabel()

      Returns the label for extractors created from this factory.
      Returns:
        A string label describing the type of extractors created from this factory.

    - #### getPrefixes

          Prefixes getPrefixes()

      An instance defining the prefixes supported by this extractor.
      Returns:
        prefixes instance.